import sift3Distance from '../fuzzy-detection/sift3-distance';
/***
 * Default list of popular emails for 2022 and onwards.
 * https://www.mailmunch.com/blog/best-email-service-providers
 *
 * If you find a domain you want to add, please submit a PR.
 * Also, notice that this list is not exhaustive.
 * You can always pass your own list of domains.
 */
declare const POPULAR_DOMAINS: string[];
declare const POPULAR_TLDS: string[];
declare const DEFAULT_CONFIG: {
    domainThreshold: number;
    domains: string[];
    secondLevelThreshold: number;
    secondLevelDomains: string[];
    topLevelThreshold: number;
    topLevelDomains: string[];
    distanceFunction: typeof sift3Distance;
};
export { DEFAULT_CONFIG, POPULAR_DOMAINS, POPULAR_TLDS };
