"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
// Attaching mailSpellChecker to window object
// so people using <script src="" /> can access it
function attachLibraryToWindow(MailSpellChecker) {
    if (typeof window !== 'undefined') {
        (function (window) {
            window.mailSpellChecker = MailSpellChecker;
        })(window);
    }
}
exports.default = attachLibraryToWindow;
